.textbagus {
  text-transform: uppercase;
  letter-spacing: .3em;
  display: inline-block;
  border: 2px double rgba(0, 0, 0, 0.1);
  border-width: 2px 0;
  padding: 1em 0;
  font-size: 14px;
  color: #333;
  background-color: #f7f7f7;
}

/* header tabel  */
th {
  border-radius: 6px;
  box-shadow: rgba(0, 0, 0, 0.1) 0 2px 4px;
  transition: box-shadow .2s;
  background-color: #2c3e50;
  color: #ecf0f1;
  font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
  font-weight: bold;
} 

/* header card */
.bg-dark {
  background: linear-gradient(#34495e, #2c3e50);
}

/* batas design dashboard */
#map { 
  height: 500px; 
}

body {
  background: #f5f5f5;
}

.order-card {
  color: #333;
}

#tambah-modal { 
  overflow-y: scroll;
}

.bg-c-blue {
  background: linear-gradient(45deg, #2980b9, #3498db);
}

.bg-c-green {
  background: linear-gradient(45deg, #27ae60, #2ecc71);
}

.bg-c-yellow {
  background: linear-gradient(45deg, #f39c12, #f1c40f);
}

.bg-c-purple {
  background: linear-gradient(45deg, #8e44ad, #9b59b6);
}

.bg-c-teal {
  background: linear-gradient(45deg, #16a085, #1abc9c);
}

.btn-login {
  background: linear-gradient(45deg, #e74c3c, #c0392b);
}

.bg-c-pink {
  background: linear-gradient(45deg, #e84393, #ff6f61);
}

.bg-c-grey {
  background: linear-gradient(45deg, #bdc3c7, #ecf0f1);
  box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.2);
}

.bg-c-white {
  background: linear-gradient(45deg, #ecf0f1, #ffffff);
  box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.2);
}

.bg-shadow {
  box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.2);
}

.bg-garis {
  background: #1abc9c;
}

.bg-c-black {
  background: linear-gradient(45deg, #2c3e50, #34495e);
  box-shadow: 0 0 50px 10px rgba(255, 255, 255, 0.05);
}

/* pengaturan sidebar,dll adminlte */
.main-sidebar, .brand-link { 
  background-image: linear-gradient(to bottom right, #2c3e50, #34495e);
}
.main-sidebar, .brand-text { 
  color: #ecf0f1;
}

/* warna menu  */
.main-sidebar .nav-item .nav-link {
  background-color: #34495e;
  box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.2);
}

/* warna sub menu  */
.main-sidebar .nav-item .nav-treeview .nav-link {
  background-color: #2c3e50;
}

/* button style */
.btn-danger {
  background-image: linear-gradient(-180deg, #e74c3c, #c0392b);
  box-shadow: rgba(0, 0, 0, 0.1) 0 2px 4px;
  color: #ffffff;
}

.btn-danger:hover {
  box-shadow: rgba(192, 57, 43, 0.5) 0 3px 8px;
}

.btn-info {
  background-image: linear-gradient(-180deg, #3498db, #2980b9);
  box-shadow: rgba(0, 0, 0, 0.1) 0 2px 4px;
  color: #ffffff;
}

.btn-info:hover {
  box-shadow: rgba(41, 128, 185, 0.5) 0 3px 8px;
}

.btn-success {
  background-image: linear-gradient(-180deg, #2ecc71, #27ae60);
  box-shadow: rgba(0, 0, 0, 0.1) 0 2px 4px;
  color: #ffffff;
}

.btn-success:hover {
  box-shadow: rgba(39, 174, 96, 0.5) 0 3px 8px;
}

.btn-primary {
  background-image: linear-gradient(-180deg, #2980b9, #3498db);
  box-shadow: rgba(0, 0, 0, 0.1) 0 2px 4px;
  color: #ffffff;
}

.btn-primary:hover {
  box-shadow: rgba(41, 128, 185, 0.5) 0 3px 8px;
}

.btn-warning {
  background-image: linear-gradient(-180deg, #f1c40f, #f39c12);
  box-shadow: rgba(0, 0, 0, 0.1) 0 2px 4px;
  color: #ffffff;
}

.btn-warning:hover {
  box-shadow: rgba(243, 156, 18, 0.5) 0 3px 8px;
}

/* Style untuk card */
.card {
  border-radius: 5px;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.16);
  border: none;
  margin-bottom: 30px;
  transition: all 0.3s ease-in-out;
}

.card .card-block {
  padding: 25px;
}

.order-card i {
  font-size: 26px;
}

.f-left {
  float: left;
}

.f-right {
  float: right;
}

